> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コラボレーションの利用規約の検索

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

<Link href="/reference/resources/collaboration">コラボレーション</Link>に効力のあるサービス利用規約に関する情報を調べるには、<Link href="/reference/get-collaborations-id">`GET /collaborations/:id`</Link> APIを呼び出してクエリパラメータ`fields=acceptance_requirements_status`を渡します。

```sh cURL theme={null}
curl -X GET https://api.box.com/2.0/collaborations/2342342?fields=acceptance_requirements_status \
    -H "authorization: Bearer <ACCESS_TOKEN>"
```

返されるレスポンスには、Mini版の`terms_of_service`オブジェクトを含む新しい`acceptance_requirements`オブジェクトが含まれます。

```json theme={null}
{
  "type": "collaboration",
  "id": 2342342>,
  "acceptance_requirements": {
    "terms_of_service": {
      "type": "terms_of_service",
      "id": 6766677
    }
  }
}
```

<Info>
  この情報が返されるのは、外部ユーザーのサービス利用規約が企業で有効になっており、リクエストを実行するユーザーにサービス利用規約を表示するための<Link href="/guides/security/terms-of-service/permissions">権限</Link>がある場合のみです。これは、管理者とエンドユーザーの両方に当てはまりますが、特定のサービス利用規約タイプが無効になっている場合でも、一般的に、管理者はAPIを介してユーザーのサービス利用規約情報を表示できます。
</Info>

サービス利用規約タイプが有効になっていない場合は、APIによって空の結果が返されます。

```json theme={null}
{
  "type": "collaboration",
  "id": 2342342>,
  "acceptance_requirements": {
    "terms_of_service": null
  }
}
```

<Info>
  すでにユーザーが同意している場合でも、`terms_of_service`の情報は`acceptance_requirements`内で返されます。
</Info>
